Subject: Re: linux-next: build failure after merge of the crypto-current tree

From: Steffen Klassert <[email-masked]>
Date: Thu, 3 Nov 2011 06:58:24 +0100

On Thu, Nov 03, 2011 at 10:39:36AM +1100, Herbert Xu wrote:
> On Wed, Nov 02, 2011 at 08:09:13PM +0000, Luis Henriques wrote:
> >
> > I'm not sure if this is related, but I am currently unable to build mainline
> > kernel when disabling CONFIG_NET.  This seems to be due to the patch serie:
> > 
> > http://news.gmane.org/gmane.linux.kernel.cryptoapi/cutoff=6228
> > 
> > For instance, commit 6ad414fe710d4fd3a8c8c6c2ad8fefcfcc207968 adds a dependency
> > over function nla_put(), which is only defined when CONFIG_NET is enabled.
> 
> Indeed, I missed the dependency in the report functions which
> is built even when CRYPTO_USER is turned off.
> 
> Does this patch fix the problem for you?
> 

Hm, did you forget to add the patch to the mail?